Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultTemporaryDurationDetailsType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultTemporaryDurationDetailsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultTemporaryDurationDetailsType

extends Object
implements Serializable

Java class for ConsultTemporaryDurationDetailsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultTemporaryDurationDetailsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Duration" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType"/>
             <element name="UserProvided" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
             <element name="Note" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultTemporaryDurationDetailsType()`

Method Summary
`QuantityType` | `getDuration()` Gets the value of the duration property.
`ConsultTextType` | `getNote()` Gets the value of the note property.
`Object` | `getUserProvided()` Gets the value of the userProvided property.
`void` | `setDuration(QuantityType value)` Sets the value of the duration property.
`void` | `setNote(ConsultTextType value)` Sets the value of the note property.
`void` | `setUserProvided(Object value)` Sets the value of the userProvided property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultTemporaryDurationDetailsType

    public ConsultTemporaryDurationDetailsType()

Method Detail

### getNote

    public ConsultTextType getNote()

  Gets the value of the note property.

  Returns:
    possible object is `ConsultTextType`

### setNote

    public void setNote(ConsultTextType value)

  Sets the value of the note property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getUserProvided

    public Object getUserProvided()

  Gets the value of the userProvided property.

  Returns:
    possible object is `Object`

### setUserProvided

    public void setUserProvided(Object value)

  Sets the value of the userProvided property.

  Parameters:
    `value` - allowed object is `Object`

### getDuration

    public QuantityType getDuration()

  Gets the value of the duration property.

  Returns:
    possible object is `QuantityType`

### setDuration

    public void setDuration(QuantityType value)

  Sets the value of the duration property.

  Parameters:
    `value` - allowed object is `QuantityType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.